Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.internal
Class DefaultLockEventListener

    java.lang.Object
      org.hibernate.event.internal.AbstractReassociateEventListener
          org.hibernate.event.internal.AbstractLockUpgradeEventListener
              org.hibernate.event.internal.DefaultLockEventListener

All Implemented Interfaces:
  Serializable, LockEventListener

    public class DefaultLockEventListener

extends AbstractLockUpgradeEventListener
implements LockEventListener

Defines the default lock event listeners used by hibernate to lock entities in response to generated lock events.

See Also:
  Serialized Form

Constructor Summary
`DefaultLockEventListener()`

Method Summary
`void` | `onLock(LockEvent event)` Handle the given lock event.

Methods inherited from class org.hibernate.event.internal.AbstractLockUpgradeEventListener
`upgradeLock`

Methods inherited from class org.hibernate.event.internal.AbstractReassociateEventListener
`reassociate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLockEventListener

    public DefaultLockEventListener()

Method Detail

### onLock

    public void onLock(LockEvent event)
                throws HibernateException

  Handle the given lock event.

  Specified by:
    `onLock` in interface `LockEventListener`
  Parameters:
    `event` - The lock event to be handled.
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.